org.eclipse.wst.jsdt.debug.core.jsdi.connect

## Interface Connector.IntegerArgument

All Superinterfaces:
  Connector.Argument, java.io.Serializable

Enclosing interface:
  Connector

    public static interface Connector.IntegerArgument
    extends Connector.Argument

Integer specialization of an `Connector.Argument`

See Also:
  `Connector.Argument`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `intValue()` Returns the integer value of the `Connector.Argument`
`boolean` `isValid(int intValue)` If the integer value is valid with-respect-to this argument.
`boolean` `isValid(java.lang.String value)` Returns if the given value is valid with-respect-to this `Connector.Argument`
`int` `max()` Returns the maximum value that this `Connector.Argument` will accept as being valid.
`int` `min()` Returns the minimum value that this `Connector.Argument` will accept as being valid.
`void` `setValue(int intValue)` Sets the integer value of this `Connector.Argument`.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.connect.Connector.Argument

`description, label, mustSpecify, name, setValue, value`

### Method Detail

#### intValue

    int intValue()

Returns the integer value of the `Connector.Argument`

Returns:
  the integer value

#### isValid

    boolean isValid(int intValue)

If the integer value is valid with-respect-to this argument.

Parameters:
  `intValue` - the value to test
Returns:
  `true` if the given value if valid `false` otherwise

#### isValid

    boolean isValid(java.lang.String value)

Description copied from interface: `Connector.Argument`
Returns if the given value is valid with-respect-to this `Connector.Argument`

Specified by:
  `isValid` in interface `Connector.Argument`
Parameters:
  `value` - the value to test for validity, `null` is accepted
Returns:
  `true` if the `Connector.Argument` is valid `false` otherwise

#### max

    int max()

Returns the maximum value that this `Connector.Argument` will accept as being valid.

Returns:
  the maximum value for this argument

#### min

    int min()

Returns the minimum value that this `Connector.Argument` will accept as being valid.

Returns:
  the minimum value for this argument

#### setValue

    void setValue(int intValue)

Sets the integer value of this `Connector.Argument`.

Parameters:
  `intValue` - the new value to set